Subject: gnupg cannot use pinentry
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Tue, 26 Nov 2024 11:12:01 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Something changed recently (last system reconfigure?) where the 'pass' software broke for me, apparently because gnupg is not finding pinentry, or not using it correctly for some reason.

```
christopher@theoden ~$ pass gatecode 
gpg: decryption failed: No secret key
christopher@theoden ~$ cd .password-store/
christopher@theoden ~/.password-store$ gpg -d gatecode.gpg 
gpg: encrypted with 3072-bit RSA key, ID F80E1B3D662D41E9, created 2021-12-14
      "Christopher Howard (pass) <[email-masked]>"
gpg: public key decryption failed: No pinentry
gpg: decryption failed: No secret key
```

I can work around this like so:

```
christopher@theoden ~/.password-store$ gpg --pinentry-mode loopback -d gatecode.gpg
<...asks for passcode on command line...>
gpg: encrypted with 3072-bit RSA key, ID F80E1B3D662D41E9, created 2021-12-14
      "Christopher Howard (pass) <[email-masked]>"
<...snipped for confidentiality...>
```

After this, I can then run pass for a little while, as credentials are cached or however that works. 

I might try a rollback or something and see if I can isolate this issue. Pinentry itself is available:

```
christopher@theoden ~$ which pinentry
/home/christopher/.guix-home/profile/bin/pinentry
```

``` guix describe
Generation 153	Nov 20 2024 09:29:24	(current)
  guix 804f8b2
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 804f8b2094f3214c5b129047c1b18a7779720496
```

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.11.8-gnu 
Uptime: 5 days, 1 hour, 14 mins 
Packages: 159 (guix-system) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: launch-local-em 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 3343MiB / 15907MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ